# Gets a list of deadletters for a container. Endpoint: GET /api/failed-events Version: v1 Security: authorization_code_dev, client_credentials_dev, authorization_code, client_credentials ## Query parameters: - `subscriptionName` (string) If specified restricts result to a specific subscription. - `pageSize` (integer) Divides the result into pages. (Default = 10, max = 100, min = 1) - `cursor` (integer) Reference for next page. - `fromDate` (string) If specified restricts result to a time period newer than this value. - `toDate` (string) If specified restricts result to a time period older than this value. ## Header parameters: - `ResourceUri` (string) ResourceUri to create the event subscriptions under. - `TenantId` (string) TenantId used by the customer. ## Response 200 fields (application/json): - `data` (array,null) A list of failed events. - `data.deadletterId` (string,null) The unique identifier of the deadletter. Example: "550e8400-e29b-41d4-a716-446655440000" - `data.subscriptionName` (string,null) The name of the subscription the event was sent to. Example: "payment-status-webhook" - `data.topic` (string,null) The topic this deadletter belongs to. Example: "b547f0fa-52a1-4ba7-b9ef-21a8e744bba6" - `data.createdOn` (string) When the deadletter was created. - `data.sizeInBytes` (integer) The size of the deadletter file. Example: 2048 - `pageSize` (integer) The max number of items per page. Example: 10 - `cursor` (integer,null) A reference for the next page. Example: 1718451900000 ## Response 400 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null) ## Response 404 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null)